6.4. Sourcery G++ Debug Sprite Options
Prev | Chapter 6. Sourcery G++ Debug Sprite | Next

## 6.4. Sourcery G++ Debug Sprite Options

The following command-line options are supported by the Sourcery G++ Debug Sprite:

`-b`

  Print a list of `board-file` files in the board config directory.

`-h`

  Print a list of options and their meanings. A list of `device-url` syntaxes is also shown.

`-i`

  Print a list of the accessible devices. If a `device-url` is also specified, only devices for that device type are scanned. Each supported device type is listed along with the options that can be appended to the `device-url`. For each discovered device, the `device-url` is printed along with a description of that device.

`-l `[host]:port``

  Specify the host address and port number to listen for a GDB connection. If this option is not given, the Debug Sprite communicates with GDB using stdin and stdout. If you start the Sprite from within GDB using the `target remote | arm-none-eabi-sprite ...` command, you do not need this option.

`-m`

  Listen for multiple sequential connections. Normally the Debug Sprite terminates after the first connection from GDB terminates. This option instead makes it listen for a subsequent connection. To terminate the Sprite, open a connection and send the string `END\n`.

`-q`

  Do not print any messages.

`-v`

  Print additional messages.

If any of `-b`, `-i` or `-h` are given, the Debug Sprite terminates after providing the information rather than waiting for a debugger connection.

Prev | Up | Next
6.3. Invoking Sourcery G++ Debug Sprite | Home | 6.5. Remote Debug Interface Devices